package com.ruoyi.approvalFlow.service.impl;

import java.util.List;

import com.ruoyi.approvalFlow.domain.AuditItemsUsers;
import com.ruoyi.approvalFlow.mapper.AuditItemsUsersMapper;
import com.ruoyi.approvalFlow.service.IAuditItemsUsersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 审批流任务明细用户Service业务层处理
 *
 * @author ruoyi
 * @date 2021-01-21
 */
@Service
public class AuditItemsUsersServiceImpl implements IAuditItemsUsersService {
    @Autowired
    private AuditItemsUsersMapper auditItemsUsersMapper;

    /**
     * 查询审批流任务明细用户
     *
     * @param id 审批流任务明细用户ID
     * @return 审批流任务明细用户
     */
    @Override
    public AuditItemsUsers selectAuditItemsUsersById(Long id) {
        return auditItemsUsersMapper.selectAuditItemsUsersById(id);
    }

    /**
     * 查询审批流任务明细用户列表
     *
     * @param auditItemsUsers 审批流任务明细用户
     * @return 审批流任务明细用户
     */
    @Override
    public List<AuditItemsUsers> selectAuditItemsUsersList(AuditItemsUsers auditItemsUsers) {
        return auditItemsUsersMapper.selectAuditItemsUsersList(auditItemsUsers);
    }

    /**
     * 新增审批流任务明细用户
     *
     * @param auditItemsUsers 审批流任务明细用户
     * @return 结果
     */
    @Override
    public int insertAuditItemsUsers(AuditItemsUsers auditItemsUsers) {
        return auditItemsUsersMapper.insertAuditItemsUsers(auditItemsUsers);
    }

    /**
     * 修改审批流任务明细用户
     *
     * @param auditItemsUsers 审批流任务明细用户
     * @return 结果
     */
    @Override
    public int updateAuditItemsUsers(AuditItemsUsers auditItemsUsers) {
        return auditItemsUsersMapper.updateAuditItemsUsers(auditItemsUsers);
    }

    /**
     * 批量删除审批流任务明细用户
     *
     * @param ids 需要删除的审批流任务明细用户ID
     * @return 结果
     */
    @Override
    public int deleteAuditItemsUsersByIds(Long[] ids) {
        return auditItemsUsersMapper.deleteAuditItemsUsersByIds(ids);
    }

    /**
     * 删除审批流任务明细用户信息
     *
     * @param id 审批流任务明细用户ID
     * @return 结果
     */
    @Override
    public int deleteAuditItemsUsersById(Long id) {
        return auditItemsUsersMapper.deleteAuditItemsUsersById(id);
    }
}
